# eric4.Preferences.ConfigurationPages.ProjectBrowserPage

Module implementing the Project Browser configuration page.

### Classes

ProjectBrowserPage | Class implementing the Project Browser configuration page.

### Functions

create | Module function to create the configuration page.

## ProjectBrowserPage

Class implementing the Project Browser configuration page.

### Derived from

ConfigurationPageBase, Ui_ProjectBrowserPage

### Methods

ProjectBrowserPage | Constructor
__initProjectBrowserColour | Private method to initialize the colour buttons.
__selectProjectBrowserColour | Private method used by the buttons selecting the project browser colours.
on_pbHighlightedButton_clicked | Private slot to set the colour for highlighted entries of the project others browser.
on_pbVcsAddedButton_clicked | Private slot to set the background colour for entries with VCS status "added".
on_pbVcsConflictButton_clicked | Private slot to set the background colour for entries with VCS status "conflict".
on_pbVcsModifiedButton_clicked | Private slot to set the background colour for entries with VCS status "modified".
on_pbVcsUpdateButton_clicked | Private slot to set the background colour for entries with VCS status "needs update".
save | Public slot to save the Project Browser configuration.

#### ProjectBrowserPage (Constructor)

ProjectBrowserPage()

Constructor

#### ProjectBrowserPage.__initProjectBrowserColour

__initProjectBrowserColour(colourstr, button)

Private method to initialize the colour buttons.

colourstr
  Colour to be set. (string)
button
  Reference to a QButton to show the colour on.

#### ProjectBrowserPage.__selectProjectBrowserColour

__selectProjectBrowserColour(colourstr, button)

Private method used by the buttons selecting the project browser colours.

colourstr
  Colour to be set. (string)
button
  Reference to a QButton to show the colour on.

#### ProjectBrowserPage.on_pbHighlightedButton_clicked

on_pbHighlightedButton_clicked()

Private slot to set the colour for highlighted entries of the project others browser.

#### ProjectBrowserPage.on_pbVcsAddedButton_clicked

on_pbVcsAddedButton_clicked()

Private slot to set the background colour for entries with VCS status "added".

#### ProjectBrowserPage.on_pbVcsConflictButton_clicked

on_pbVcsConflictButton_clicked()

Private slot to set the background colour for entries with VCS status "conflict".

#### ProjectBrowserPage.on_pbVcsModifiedButton_clicked

on_pbVcsModifiedButton_clicked()

Private slot to set the background colour for entries with VCS status "modified".

#### ProjectBrowserPage.on_pbVcsUpdateButton_clicked

on_pbVcsUpdateButton_clicked()

Private slot to set the background colour for entries with VCS status "needs update".

#### ProjectBrowserPage.save

save()

Public slot to save the Project Browser configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up